import axios from 'axios';
import { S } from 'mockjs';


export interface LoginData {
  username: string;
  password: string;
}


export interface jobuser {
  status: string;
  code: number;
  message: string;
  data: {
    jobuser: {
        username: string;         // 账号
        password: string;         // 密码
        time: Date;        // 注册时间
        type: number;             // 累计在线时间
    }[]
  };

}

export interface Black {
    status: string;
    code: number;
    message: string;
    data: {};
}
export interface Refresh {
  status: string;
  code: number;
  data: {
    access_token: string;
    refresh_token: string;
  };
  message: string;
}

export interface ListParams {
    black?: string;
    username?: string;
  }
/**
 * 
 * @param data 获取列表
 * @returns 
 */
export function lists(params: ListParams) {
  return axios.post<jobuser>('/api/v1/jobuser/lists',params);
}

/**
 * 
 * @param id 拉黑
 * @returns 
 */
export function getBlack(id: string) {
    return axios.post<Black>('/api/v1/jobuser/getBlack', { id });
}

/**
 * 
 * @param id 洗白
 * @returns 
 */
export function getOutBlack(id: string) {
    return axios.post<Black>('/api/v1/jobuser/getOutBlack', { id });
  }