import axios from 'axios';
import type { RouteRecordNormalized } from 'vue-router';
import { UserState } from '@/store/modules/user/types';

export interface LoginData {
  username: string;
  password: string;
}

// export interface LoginRes {
//   token: string;
// }

export interface LoginRes {
  status: string;
  code: number;
  message: string;
  user: {
    id: number;
    nickname: string;
    username: string;
  };
  token: {
    token_type: string;
    expires_in: number;
    access_token: string;
    refresh_token: string;
  };
}


export interface Refresh {
  status: string;
  code: number;
  data: {
    access_token: string;
    refresh_token: string;
  };
  message: string;
}

export function login(data: LoginData) {
  return axios.post<LoginRes>('/admin/api/v1/account/login', data);
}

export function logout() {
  return axios.post<LoginRes>('/api/user/logout');
}

export function getUserInfo() {
  return axios.post<UserState>('/api/user/info');
}

export function getMenuList() {
  return axios.post<RouteRecordNormalized[]>('/api/user/menu');
}
//刷新token
export async function refreshToken() {
  return axios.post<Refresh>('/admin/api/v1/account/refresh');
}