import axios from 'axios';

export interface Volunteerservicecorps {
    status:  string;
    code:    number;
    data: {
        group: {
            groupname: string;
            leaderid:  number;
            groupid:   number;
            category:  string;
            img:       string;
            number:    number;
            leader: {
                nickname: string;
                phone:    number;
                avatar:   string;
            };
            member: {
                nickname: string;
                phone:    number;
                avatar:   string;
            }[];
        }[];
    };
    message: string;
}



/**
 * 获取全部队伍
 * @returns 
 */
export function get_volunteerservicecorp_list() {
  return axios.post<Volunteerservicecorps>('/admin/api/v1/Volunteerservicecorps/get_volunteerservicecorp_list');
}
/**
 * 删除队伍
 * @param id 
 * @returns 
 */
export function del_volunteerservicecorp(id:number) {
    return axios.post<any>('/admin/api/v1/Volunteerservicecorps/del_volunteerservicecorp',{id});
}
/**
 * 添加支援队伍
 * @param leaderid 
 * @param groupname 
 * @param category 
 * @param img 
 * @param briefly 
 * @returns 
 */
export function add_volunteerservicecorp(leaderid:Number,groupname:string,category:string,img:string,briefly:string) {
    return axios.post<any>('/admin/api/v1/Volunteerservicecorps/add_volunteerservicecorp',{leaderid,groupname,category,img,briefly});
}

/**
 * 编辑志愿队
 * @param id 
 * @param leaderid 
 * @param groupname 
 * @param category 
 * @param img 
 * @param briefly 
 * @returns 
 */
export function edi_volunteerservicecorp(id:number,leaderid:Number,groupname:string,category:string,img:string,briefly:string) {
    return axios.post<any>('/admin/api/v1/Volunteerservicecorps/edi_volunteerservicecorp',{id,leaderid,groupname,category,img,briefly});
}