import { DEFAULT_LAYOUT } from '../base';
import { AppRouteRecordRaw } from '../types';

const LIST: AppRouteRecordRaw = {
  path: '/carousel',
  name: 'carousel',
  component: DEFAULT_LAYOUT,
  meta: {
    locale: 'menu.carousel',
    requiresAuth: true,
    icon: 'icon-image',
    order: 3,
  },
  children: [
    {
      path: 'carouseldetailed', // The midline path complies with SEO specifications
      name: 'carouseldetailed',
      component: () => import('@/views/carousel/carousel.vue'),
      meta: {
        locale: 'menu.carousel.Table',
        requiresAuth: true,
        roles: ['*'],
      },
    },{
        path: 'carouseladdetailed', // The midline path complies with SEO specifications
        name: 'carouseladdetailed',
        component: () => import('@/views/carousel/carouselad.vue'),
        meta: {
          locale: 'menu.carouselad.Table',
          requiresAuth: true,
          roles: ['*'],
        },
      },
  ],
};

export default LIST;
