import { DEFAULT_LAYOUT } from '../base';
import { AppRouteRecordRaw } from '../types';

const LIST: AppRouteRecordRaw = {
  path: '/hotinformation',
  name: 'hotinformation',
  component: DEFAULT_LAYOUT,
  meta: {
    locale: 'menu.hotinformation',
    requiresAuth: true,
    icon: 'icon-layers',
    order: 9,
  },
  children: [
    {
      path: 'index', // The midline path complies with SEO specifications
      name: 'index',
      component: () => import('@/views/hotinformation/index.vue'),
      meta: {
        locale: 'menu.hotinformation.Table',
        requiresAuth: true,
        roles: ['*'],
      },
    },{
      path: 'volunteerdynamics', // The midline path complies with SEO specifications
      name: 'volunteerdynamics',
      component: () => import('@/views/hotinformation/volunteerdynamics.vue'),
      meta: {
        locale: 'menu.hotinformation.volunteerdynamics',
        requiresAuth: true,
        roles: ['*'],
      },
    },{
      path: 'edi/:type/:id', // The midline path complies with SEO specifications
      name: 'edi',
      component: () => import('@/views/hotinformation/edi.vue'),
      meta: {
        locale: 'menu.hotinformation.edi',
        requiresAuth: true,
        hideInMenu:true,
        roles: ['*'],
      },
    }
  ],
};

export default LIST;
