import { DEFAULT_LAYOUT } from '../base';
import { AppRouteRecordRaw } from '../types';

const LIST: AppRouteRecordRaw = {
  path: '/volunteerservicecorps',
  name: 'volunteerservicecorps',
  component: DEFAULT_LAYOUT,
  meta: {
    locale: 'menu.volunteerservicecorps',
    requiresAuth: true,
    icon: 'icon-user-group',
    order: 3,
  },
  children: [
    {
      path: 'volunteerservicecorpsdetailed', // The midline path complies with SEO specifications
      name: 'volunteerservicecorpsdetailed',
      component: () => import('@/views/volunteerservicecorps/index.vue'),
      meta: {
        locale: 'menu.volunteerservicecorps.Table',
        requiresAuth: true,
        roles: ['*'],
      },
    },{
        path: 'edivolunteerservicecorps', // The midline path complies with SEO specifications
        name: 'edivolunteerservicecorps',
        component: () => import('@/views/volunteerservicecorps/edi.vue'),
        meta: {
          locale: 'menu.volunteerservicecorps.Table',
          requiresAuth: true,
          hideInMenu:true,
          roles: ['*'],
        },
      },
  ],
};

export default LIST;
